Bug 25427 - Make authority subfield management interface consistent with bibliographic subfield management view
Summary: Make authority subfield management interface consistent with bibliographic su...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-08 15:01 UTC by Owen Leonard
Modified: 2020-08-03 23:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 25427: Make authority subfield management interface consistent MARC view (2.89 KB, patch)
2020-05-08 15:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25427: Make authority subfield management interface consistent MARC view (2.95 KB, patch)
2020-06-24 20:27 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25427: Make authority subfield management interface consistent MARC view (3.01 KB, patch)
2020-07-06 22:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-05-08 15:01:33 UTC
When editing MARC frameworks, the table of tag subfields includes a link in the subfield code column and an edit button alongside the delete button. The authority MARC subfield structure admin page should be made consistent with this.
Comment 1 Owen Leonard 2020-05-08 15:25:21 UTC
Created attachment 104603 [details] [review]
Bug 25427: Make authority subfield management interface consistent MARC view

This patch makes a couple of minor changes to the authority MARC
subfield structure administration interface to make it more consistent
with the corresponding MARC subfield interface.

To test, apply the patch and go to Administration -> Authority types.

- Pick an authority type to edit, for instance PERSO_NAME, and choose
  'MARC structure' from the Actions menu.
- Pick a tag to edit and select "Subfields" from the Actions menu.
- In the table of subfields for that tag, each subfield in the first
  column should link to the edit interface for that subfield (its tab
  pre-selected).
- The "Edit" button in that table should do the same.
Comment 2 ByWater Sandboxes 2020-06-24 20:27:02 UTC
Created attachment 106263 [details] [review]
Bug 25427: Make authority subfield management interface consistent MARC view

This patch makes a couple of minor changes to the authority MARC
subfield structure administration interface to make it more consistent
with the corresponding MARC subfield interface.

To test, apply the patch and go to Administration -> Authority types.

- Pick an authority type to edit, for instance PERSO_NAME, and choose
  'MARC structure' from the Actions menu.
- Pick a tag to edit and select "Subfields" from the Actions menu.
- In the table of subfields for that tag, each subfield in the first
  column should link to the edit interface for that subfield (its tab
  pre-selected).
- The "Edit" button in that table should do the same.

Signed-off-by: Heather Hernandez <heather_hernandez@nps.gov>
Comment 3 Heather 2020-06-24 20:28:08 UTC
Worked as it should!  Lovely development--I'm looking forward to it!
Comment 4 Katrin Fischer 2020-07-06 22:25:11 UTC
Created attachment 106617 [details] [review]
Bug 25427: Make authority subfield management interface consistent MARC view

This patch makes a couple of minor changes to the authority MARC
subfield structure administration interface to make it more consistent
with the corresponding MARC subfield interface.

To test, apply the patch and go to Administration -> Authority types.

- Pick an authority type to edit, for instance PERSO_NAME, and choose
  'MARC structure' from the Actions menu.
- Pick a tag to edit and select "Subfields" from the Actions menu.
- In the table of subfields for that tag, each subfield in the first
  column should link to the edit interface for that subfield (its tab
  pre-selected).
- The "Edit" button in that table should do the same.

Signed-off-by: Heather Hernandez <heather_hernandez@nps.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-07-20 15:48:47 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-07-27 17:27:41 UTC
backported to 20.05.x for 20.05.03
Comment 7 Aleisha Amohia 2020-08-03 23:23:18 UTC
enhancement, not backported to 19.11.x